## visad
Class DisplayReferenceEvent

    java.lang.Object
      java.awt.Event
          visad.VisADEvent
              visad.DisplayEvent
                  visad.DisplayReferenceEvent

All Implemented Interfaces:
  Serializable

public class DisplayReferenceEvent
extends DisplayEvent

DisplayReferenceEvent is the VisAD class for Events from Display DataReference obkects. They are sourced by Display objects and received by DisplayListener objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.DisplayEvent
`COMPONENT_RESIZED, DESTROYED, FRAME_DONE, KEY_PRESSED, KEY_RELEASED, MAP_ADDED, MAP_REMOVED, MAPS_CLEARED, MOUSE_DRAGGED, MOUSE_ENTERED, MOUSE_EXITED, MOUSE_MOVED, MOUSE_PRESSED, MOUSE_PRESSED_CENTER, MOUSE_PRESSED_LEFT, MOUSE_PRESSED_RIGHT, MOUSE_RELEASED, MOUSE_RELEASED_CENTER, MOUSE_RELEASED_LEFT, MOUSE_RELEASED_RIGHT, REFERENCE_ADDED, REFERENCE_REMOVED, TRANSFORM_DONE, WAIT_OFF, WAIT_ON`

Fields inherited from class visad.VisADEvent
`LOCAL_SOURCE, UNKNOWN_REMOTE_SOURCE`

Fields inherited from class java.awt.Event

`ACTION_EVENT, ALT_MASK, arg, BACK_SPACE, CAPS_LOCK, clickCount, CTRL_MASK, DELETE, DOWN, END, ENTER, ESCAPE, evt, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, GOT_FOCUS, HOME, INSERT, key, KEY_ACTION, KEY_ACTION_RELEASE, KEY_PRESS, KEY_RELEASE, LEFT, LIST_DESELECT, LIST_SELECT, LOAD_FILE, LOST_FOCUS, META_MASK, modifiers, MOUSE_DOWN, MOUSE_DRAG, MOUSE_ENTER, MOUSE_EXIT, MOUSE_MOVE, MOUSE_UP, NUM_LOCK, PAUSE, PGDN, PGUP, PRINT_SCREEN, RIGHT, SAVE_FILE, SCROLL_ABSOLUTE, SCROLL_BEGIN, SCROLL_END, SCROLL_LINE_DOWN, SCROLL_LINE_UP, SCROLL_LOCK, SCROLL_PAGE_DOWN, SCROLL_PAGE_UP, SHIFT_MASK, TAB, target, UP, when, WINDOW_DEICONIFY, WINDOW_DESTROY, WINDOW_EXPOSE, WINDOW_ICONIFY, WINDOW_MOVED, x, y`

Constructor Summary
`DisplayReferenceEvent(Display d, int id, DataDisplayLink link)` Constructs a DisplayReferenceEvent object with the specified source display, type of event, and DataReference connection.

Method Summary
`DisplayEvent` `cloneButDisplay(Display dpy)` Return a new DisplayReferenceEvent which is a copy of this event, but which uses the specified source display
`DataDisplayLink` `getDataDisplayLink()`

Methods inherited from class visad.DisplayEvent
`getDisplay, getDisplayComponent, getId, getInputEvent, getKeyCode, getModifiers, getX, getY, toString`

Methods inherited from class visad.VisADEvent
`getRemoteId, isRemote`

Methods inherited from class java.awt.Event
`controlDown, metaDown, paramString, shiftDown, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayReferenceEvent

    public DisplayReferenceEvent(Display d,
                                 int id,
                                 DataDisplayLink link)

  Constructs a DisplayReferenceEvent object with the specified source display, type of event, and DataReference connection.

Parameters:
  `d` - display that sends the event
  `id` - type of DisplayReferenceEvent that is sent
  `link` - DataReference link

Method Detail

### cloneButDisplay

    public DisplayEvent cloneButDisplay(Display dpy)

  Return a new DisplayReferenceEvent which is a copy of this event, but which uses the specified source display

  Overrides:
    `cloneButDisplay` in class `DisplayEvent`
  Parameters:
    `dpy` - Display to use for the new DisplayReferenceEvent
  Returns:
    a new DisplayEvent which is a copy of this event, but which uses the specified source display

### getDataDisplayLink

    public DataDisplayLink getDataDisplayLink()

  Returns:
    the DataDisplayLink referenced by this